WeakMap::offsetGet
WeakMap::offsetUnset
WeakMap
PHP Manual

# WeakMap::offsetSet

Updates the map with a new key-value pair

### Description

public void WeakMap::offsetSet ( object `$object` , mixed `$value` )

Updates the map with a new key-value pair. If the key already existed in the map, the old value is replaced with the new.

### Parameters

`object`

  The object serving as key of the key-value pair.

`value`

  The arbitrary data serving as value of the key-value pair.

### Return Values

No value is returned.